------------------------------------------------------------------------------------
--Name:  	jinhua1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-09-18
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(194, 268)
CppScriptMgr:SetViewScale(200)
local monster_1 = CppScriptMgr:AddPlayer(424, 197, 271, "", 0, 0)
monster_1:SetDir(7)
local effect_4 = CppScriptMgr:AddEffect("QiFuLev3", 197, 271, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("hunpo02", 197, 271, 33, 1, 1, 1)
effect_6:Scale(2, 2, 2)
local effect_7 = CppScriptMgr:AddEffect("eidolon", 197, 271, 33, 1, 1, 1)
effect_7:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(100)
local effect_3 = CppScriptMgr:AddEffect("hunpo02", 197, 271, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
local effect_5 = CppScriptMgr:AddEffect("eidolon", 197, 271, 33, 1, 1, 1)
effect_5:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(2380)
CppScriptMgr:ShakeScrEffect(5)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 197, 271, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(80)
ChangeNpcZoom(monster_1, 100, 0, 5, 33)
CppScriptMgr:WaitMilSec(520)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 197, 271, 33, 1, 1, 1)
local monster_0 = CppScriptMgr:AddPlayer(275, 197, 271, "", 0, 0)
monster_0:SetZoomPercent(10)
monster_0:SetDir(7)
ChangeNpcZoom(monster_0, 10, 200, 5, 33)
CppScriptMgr:WaitMilSec(350)
local effect_2 = CppScriptMgr:AddEffect("ride_screen", 197, 271, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2490)